FIX::CharConvertor Struct Reference

Converts character to/from a string. More...

`#include <FieldConvertors.h>`

## Static Public Member Functions

static std::string | convert (char value)
static bool | convert (const std::string &value, char &result)
static char | convert (const std::string &value) throw ( FieldConvertError )

## Detailed Description

Converts character to/from a string.

Definition at line 389 of file FieldConvertors.h.

## Member Function Documentation

## convert() [1/3]

static std::string FIX::CharConvertor::convert | ( | char | value | ) |

inline static

Definition at line 391 of file FieldConvertors.h.

{

Referenced by FIX::operator<=(), and FIX::operator>=().

## convert() [2/3]

static char FIX::CharConvertor::convert | ( | const std::string & | value | ) |
throw | ( | FieldConvertError
| ) |  |

inline static

Definition at line 404 of file FieldConvertors.h.

{
if( value.size() != 1 ) return false;
switch( value[0] )
{
case 'Y': result = true; break;

## convert() [3/3]

static bool FIX::CharConvertor::convert | ( | const std::string & | value,
|  | char & | result
| ) |  |

inline static

Definition at line 397 of file FieldConvertors.h.

{
static std::string convert( bool value )
{

References FIX::BoolConvertor::convert().

The documentation for this struct was generated from the following file:

- FieldConvertors.h

FIX::CharConvertor::convert
static std::string convert(char value)
Definition: FieldConvertors.h:391